Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.FormFileInfoArray Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | FormFileInfoArray ()
| Constructor.
def | FormFileInfoArray (other)
| Constructor, with another array object. More...
def | Add (element)
| Add an element to the end of current array. More...
def | GetAt (index)
| Retrieve a copy of the element at position specified by index in current array. More...
def | GetSize ()
| Get the size of elements in current array. More...
def | InsertAt (index, element)
| Insert an element before the position specified by index. More...
def | RemoveAll ()
| Remove all the element from current array. More...
def | RemoveAt (index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of FormFileInfo objects.

## Constructor & Destructor Documentation

## ◆ FormFileInfoArray()

def FoxitPDFSDKPython3.FormFileInfoArray.FormFileInfoArray | ( |  | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

def FoxitPDFSDKPython3.FormFileInfoArray.Add | ( |  | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

def FoxitPDFSDKPython3.FormFileInfoArray.GetAt | ( |  | index | ) |

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

def FoxitPDFSDKPython3.FormFileInfoArray.GetSize | ( |  | ) |

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

def FoxitPDFSDKPython3.FormFileInfoArray.InsertAt | ( |  | index,
|  |  | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

def FoxitPDFSDKPython3.FormFileInfoArray.RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

def FoxitPDFSDKPython3.FormFileInfoArray.RemoveAt | ( |  | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.